> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.hindsiteind.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.hindsiteind.com/_mcp/server.

# Get Instruction Revisions Id

GET https://app.hindsiteind.com/api/v2/instruction_revisions/{id}

Reference: https://api-docs.hindsiteind.com/hindsite-api/instruction-revisions/get-instruction-revisions-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v2/instruction_revisions/{id}:
    get:
      operationId: get-instruction-revisions-id
      summary: Get Instruction Revisions Id
      tags:
        - subpackage_instructionRevisions
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
        - name: Authorization
          in: header
          description: >-
            OAuth 2.0 Client Credentials Flow. To obtain an access token:


            1. Request API credentials from HINDSITE support to receive your
            `client_id` and `client_secret`


            2. Make a POST request to obtain an access token:

            ```

            POST https://app.hindsiteind.com/oauth/token

            Content-Type: application/x-www-form-urlencoded


            grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

            ```


            3. The response will contain your access token:

            ```json

            {
              "access_token": "your_access_token_here",
              "token_type": "Bearer",
              "expires_in": 7200,
              "created_at": 1234567890
            }

            ```


            4. Include the token in subsequent API requests:

            ```

            Authorization: Bearer your_access_token_here

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: get InstructionRevision(s)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstructionRevision'
servers:
  - url: https://app.hindsiteind.com
    description: Production
components:
  schemas:
    PlannedPart:
      type: object
      properties:
        id:
          type: string
          description: ULID
        quantity:
          type: number
          format: double
        instruction_revision_id:
          type: string
          description: ULID
      title: PlannedPart
    InstructionValidation:
      type: object
      properties:
        id:
          type: string
          description: ULID
        validation_type:
          type: string
        value:
          type: string
        restricted:
          type: boolean
      title: InstructionValidation
    InstructionOption:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        colour:
          type: string
      title: InstructionOption
    InstructionInputSettings:
      type: object
      properties: {}
      title: InstructionInputSettings
    InstructionCondition:
      type: object
      properties:
        id:
          type: string
          description: ULID
        instruction_input_id:
          type: string
          description: ULID
        condition_type:
          type: string
        condition_value:
          type: string
        instruction_conditional_input:
          $ref: '#/components/schemas/InstructionInput'
      title: InstructionCondition
    InstructionInput:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        input_type:
          type: string
        sort_order:
          type: integer
        required:
          type: boolean
        hold_point:
          type: boolean
        validations:
          type: array
          items:
            $ref: '#/components/schemas/InstructionValidation'
        options:
          type: array
          items:
            $ref: '#/components/schemas/InstructionOption'
        prefix:
          type: string
        suffix:
          type: string
        input_owner_id:
          type: string
          description: ULID
        input_owner_type:
          type: string
        settings:
          $ref: '#/components/schemas/InstructionInputSettings'
        type:
          type: string
        instruction_input:
          type: boolean
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/InstructionCondition'
      title: InstructionInput
    InstructionDecision:
      type: object
      properties:
        id:
          type: string
          description: ULID
        next_instruction_step_id:
          type: string
          description: ULID
        instruction_step_id:
          type: string
          description: ULID
        label:
          type: string
        colour:
          type: string
      title: InstructionDecision
    InstructionAttachment:
      type: object
      properties:
        id:
          type: string
          description: ULID
        original:
          type: string
          description: Presigned URL
        versions:
          type: array
          items:
            type: string
        thumbnails:
          type: array
          items:
            type: string
        title:
          type: string
        include_in_report:
          type: boolean
      description: Extends Content with additional report inclusion flag
      title: InstructionAttachment
    InstructionStep:
      type: object
      properties:
        id:
          type: string
          description: ULID
        step_uuid:
          type: string
        title:
          type: string
        section_title:
          type: string
        report_only:
          type: boolean
        description:
          type: string
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/InstructionInput'
        decisions:
          type: array
          items:
            $ref: '#/components/schemas/InstructionDecision'
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/InstructionAttachment'
      title: InstructionStep
    InstructionRevision:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        description:
          type: string
        archived:
          type: boolean
        first_instruction_step_id:
          type: string
          description: ULID
        location_ids:
          type: array
          items:
            type: string
        group_ids:
          type: array
          items:
            type: string
        user_id:
          type: string
          description: ULID
        is_template:
          type: boolean
        instruction_id:
          type: string
          description: ULID
        is_latest_in_collection:
          type: boolean
        organisation_wide:
          type: boolean
        planned_parts:
          type: array
          items:
            $ref: '#/components/schemas/PlannedPart'
        part_confirmation_required:
          type: boolean
        links:
          type: array
          items:
            description: Any type
        steps:
          type: array
          items:
            $ref: '#/components/schemas/InstructionStep'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: InstructionRevision
  securitySchemes:
    OAuth2:
      type: http
      scheme: bearer
      description: >-
        OAuth 2.0 Client Credentials Flow. To obtain an access token:


        1. Request API credentials from HINDSITE support to receive your
        `client_id` and `client_secret`


        2. Make a POST request to obtain an access token:

        ```

        POST https://app.hindsiteind.com/oauth/token

        Content-Type: application/x-www-form-urlencoded


        grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

        ```


        3. The response will contain your access token:

        ```json

        {
          "access_token": "your_access_token_here",
          "token_type": "Bearer",
          "expires_in": 7200,
          "created_at": 1234567890
        }

        ```


        4. Include the token in subsequent API requests:

        ```

        Authorization: Bearer your_access_token_here

        ```

```

## Examples



**Response**

```json
{
  "id": "string",
  "title": "string",
  "description": "string",
  "archived": true,
  "first_instruction_step_id": "string",
  "location_ids": [
    "string"
  ],
  "group_ids": [
    "string"
  ],
  "user_id": "string",
  "is_template": true,
  "instruction_id": "string",
  "is_latest_in_collection": true,
  "organisation_wide": true,
  "planned_parts": [
    {
      "id": "string",
      "quantity": 1.1,
      "instruction_revision_id": "string"
    }
  ],
  "part_confirmation_required": true,
  "links": [
    null
  ],
  "steps": [
    {
      "id": "string",
      "step_uuid": "string",
      "title": "string",
      "section_title": "string",
      "report_only": true,
      "description": "string",
      "inputs": [
        {
          "id": "string",
          "title": "string",
          "input_type": "string",
          "sort_order": 1,
          "required": true,
          "hold_point": true,
          "validations": [
            {
              "id": "string",
              "validation_type": "string",
              "value": "string",
              "restricted": true
            }
          ],
          "options": [
            {
              "id": "string",
              "value": "string",
              "colour": "string"
            }
          ],
          "prefix": "string",
          "suffix": "string",
          "input_owner_id": "string",
          "input_owner_type": "string",
          "settings": {},
          "type": "string",
          "instruction_input": true,
          "conditions": [
            {
              "id": "string",
              "instruction_input_id": "string",
              "condition_type": "string",
              "condition_value": "string"
            }
          ]
        }
      ],
      "decisions": [
        {
          "id": "string",
          "next_instruction_step_id": "string",
          "instruction_step_id": "string",
          "label": "string",
          "colour": "string"
        }
      ],
      "attachments": [
        {
          "id": "string",
          "original": "string",
          "versions": [
            "string"
          ],
          "thumbnails": [
            "string"
          ],
          "title": "string",
          "include_in_report": true
        }
      ]
    }
  ],
  "created_at": 1,
  "updated_at": 1
}
```

**SDK Code**

```python
import requests

url = "https://app.hindsiteind.com/api/v2/instruction_revisions/1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.hindsiteind.com/api/v2/instruction_revisions/1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.hindsiteind.com/api/v2/instruction_revisions/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.hindsiteind.com/api/v2/instruction_revisions/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.hindsiteind.com/api/v2/instruction_revisions/1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.hindsiteind.com/api/v2/instruction_revisions/1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.hindsiteind.com/api/v2/instruction_revisions/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.hindsiteind.com/api/v2/instruction_revisions/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```